Package org.apache.sysds.runtime.data

# Class DenseBlockFactory

java.lang.Object
org.apache.sysds.runtime.data.DenseBlockFactory

public abstract class DenseBlockFactory extends Object

## Constructor Summary

Constructors
Constructor
Description
`DenseBlockFactory()`

## Method Summary

Modifier and Type
Method
Description
`static DenseBlock`
`createDenseBlock(double[] data, int[] dims)`
`static DenseBlock`
`createDenseBlock(double[] data, int rlen, int clen)`
`static DenseBlock`
`createDenseBlock(float[] data, int[] dims)`
`static DenseBlock`
`createDenseBlock(float[] data, int rlen, int clen)`
`static DenseBlock`
`createDenseBlock(int[] dims)`
`static DenseBlock`
`createDenseBlock(int[] dims, boolean dedup)`
`static DenseBlock`
`createDenseBlock(int[] data, int[] dims)`
`static DenseBlock`
`createDenseBlock(int rlen, int clen)`
`static DenseBlock`
`createDenseBlock(int rlen, int clen, boolean dedup)`
`static DenseBlock`
`createDenseBlock(long[] data, int[] dims)`
`static DenseBlock`
`createDenseBlock(String[] data, int[] dims)`
`static DenseBlock`
`createDenseBlock(BitSet data, int[] dims)`
`static DenseBlock`
`createDenseBlock(Types.ValueType vt, int[] dims)`
`static DenseBlock`
`createDenseBlock(Types.ValueType vt, int[] dims, boolean dedup)`
`static DenseBlock`
`createDenseBlock(Types.ValueType vt, DenseBlock.Type type, int[] dims, boolean dedup)`
`static double`
`estimateSizeDenseInMemory(long nrows, long ncols)`
`static DenseBlock.Type`
`getDenseBlockType(DenseBlock dblock)`
`static boolean`
`isDenseBlockType(DenseBlock sblock, DenseBlock.Type type)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DenseBlockFactory

public DenseBlockFactory()

## Method Details

### createDenseBlock

public static DenseBlock createDenseBlock(int rlen, int clen)

### createDenseBlock

public static DenseBlock createDenseBlock(int rlen, int clen, boolean dedup)

### createDenseBlock

public static DenseBlock createDenseBlock(int[] dims)

### createDenseBlock

public static DenseBlock createDenseBlock(int[] dims, boolean dedup)

### createDenseBlock

public static DenseBlock createDenseBlock(Types.ValueType vt, int[] dims)

### createDenseBlock

public static DenseBlock createDenseBlock(Types.ValueType vt, int[] dims, boolean dedup)

### createDenseBlock

public static DenseBlock createDenseBlock(BitSet data, int[] dims)

### createDenseBlock

public static DenseBlock createDenseBlock(String[] data, int[] dims)

### createDenseBlock

public static DenseBlock createDenseBlock(double[] data, int[] dims)

### createDenseBlock

public static DenseBlock createDenseBlock(float[] data, int[] dims)

### createDenseBlock

public static DenseBlock createDenseBlock(long[] data, int[] dims)

### createDenseBlock

public static DenseBlock createDenseBlock(int[] data, int[] dims)

### createDenseBlock

public static DenseBlock createDenseBlock(double[] data, int rlen, int clen)

### createDenseBlock

public static DenseBlock createDenseBlock(float[] data, int rlen, int clen)

### createDenseBlock

public static DenseBlock createDenseBlock(Types.ValueType vt, DenseBlock.Type type, int[] dims, boolean dedup)

### isDenseBlockType

public static boolean isDenseBlockType(DenseBlock sblock, DenseBlock.Type type)

### getDenseBlockType

public static DenseBlock.Type getDenseBlockType(DenseBlock dblock)

### estimateSizeDenseInMemory

public static double estimateSizeDenseInMemory(long nrows, long ncols)